// OpenOfficeHookTrayDlg.h : header file
//
//{{AFX_INCLUDES()
//}}AFX_INCLUDES

#if !defined(AFX_OPENOFFICEHOOKTRAYDLG_H__5058D8AF_AACE_41F9_B0E1_01559C2CF517__INCLUDED_)
#define AFX_OPENOFFICEHOOKTRAYDLG_H__5058D8AF_AACE_41F9_B0E1_01559C2CF517__INCLUDED_

#include "traydialog.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// COpenOfficeHookTrayDlg dialog

class COpenOfficeHookTrayDlg : public CTrayDialog
{

// Variables
	HINSTANCE hinstDLL; 
	HOOKPROC hkprcSysMsg; 
	HHOOK hhookSysMsg; 
 
// Construction
public:
	void saveSettings();
	void readSettings();
	void UnregisterHook();
	void RegisterHook();
	COpenOfficeHookTrayDlg(CWnd* pParent = NULL);	// standard constructor
	~COpenOfficeHookTrayDlg();	// standard constructor
	virtual void OnTrayLButtonDblClk(CPoint pt);


// Dialog Data
	//{{AFX_DATA(COpenOfficeHookTrayDlg)
	enum { IDD = IDD_OPENOFFICEHOOKTRAY_DIALOG };
	CEdit	m_TextAboutControl;
	CTabCtrl	m_TabControl;
	CStatic	m_TitleControl;
	BOOL	m_ActClass;
	BOOL	m_ActExe;
	BOOL	m_ActTitle;
	BOOL	m_ActAll;
	CString	m_strClassName;
	CString	m_strExeName;
	CString	m_strTitre;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenOfficeHookTrayDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int hookRegistered;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COpenOfficeHookTrayDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCmdTrayShow();
	afx_msg void OnActivate();
	afx_msg void OnDesactivate();
	afx_msg void OnSaveSettings();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPENOFFICEHOOKTRAYDLG_H__5058D8AF_AACE_41F9_B0E1_01559C2CF517__INCLUDED_)
